Bug 247857 - news/nzbhydra2: Update to 2.25.0, update wrapper to Python 3
Summary: news/nzbhydra2: Update to 2.25.0, update wrapper to Python 3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-08 21:04 UTC by Marcel Bischoff
Modified: 2020-07-27 14:30 UTC (History)
3 users (show)

See Also:
daniel: maintainer-feedback-


Attachments
Diff (57.40 KB, patch)
2020-07-08 21:04 UTC, Marcel Bischoff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Bischoff 2020-07-08 21:04:54 UTC
Created attachment 216329 [details]
Diff

A significant version bump since the maintainer did not update the port in months.
Comment 1 Daniel Shafer 2020-07-09 06:08:49 UTC
I'm currently busy but was already planned on updating the port this weekend.

I also would like if the FreeBSD admins give me more than just 1 day to respond to these requests.   Thank you!
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2020-07-09 06:29:39 UTC
(In reply to Daniel Shafer from comment #1)

> I also would like if the FreeBSD admins give me more than just 1 day to respond to these requests.

(responding with bugmeister@ hat) hmm.  Well, this PR was initially submitted by a user, not the admins.  The auto-assigner generated the first piece of email, as we expect it to do (e.g. via setting the "maintainer-feedback?" field).  fernape@ then quickly indicated that he would claim the PR to handle it once it was approved.

So ... the intention wasn't to irritate you, it's simply our workflow "working as designed".

I'm sorry if it did not come off that way.
Comment 3 Daniel Shafer 2020-07-09 06:32:20 UTC
No problem.   I've had ports hijacked before so just wanted to make sure.  I work directly with the developer at times and have a certain way I handle updating my ports but due to covid19 I've had more pressing issues.   I'll get it updated this weekend
Comment 4 Fernando Apesteguía freebsd_committer 2020-07-09 06:48:22 UTC
(In reply to Daniel Shafer from comment #3)

Sure thing Daniel. I'm taking some days off starting tomorrow, so there is no rush :). Of course, if you feel like this should be committed while I'm AFK, just send an email to freebsd-ports@ and some other committer will pick this up.
Comment 5 Marcel Bischoff 2020-07-09 08:50:10 UTC
Daniel, I submitted the patch. To get this right out of the way: in my view, pressing concerns are a valid reason for delays when working on a volunteer basis.

However, the time difference between the most recent version (https://github.com/theotherp/nzbhydra2/releases/tag/v2.25.0) and the last version bump of this port (https://github.com/theotherp/nzbhydra2/releases/tag/v2.7.2) is about 9 months. In the time between there have been 100+ releases.

It's a niche port, granted. Still, it would be great to have more frequent updates than once every couple of months. If for whatever reason you don't want to maintain this port any longer, I raise my hand.
Comment 6 Daniel Shafer 2020-07-09 13:22:25 UTC
I never said I didn't want to maintain the port.   The developer releases updates at a very fast rate which can make it tedious to update every single release.   Showing this kind of attitude isn't very appropriate either.
Comment 7 Daniel Shafer 2020-07-15 00:29:15 UTC
Thanks for your diff, I hadn't had a chance to look at it and started a new job this week so got busy, it appears our thought process on the update was similar.

I updated the port and submitted a review request which can be viewed here:
https://reviews.freebsd.org/D25674

I will work on keeping the port updated more frequently, however, as I mentioned the developer tends to release new versions very frequently.  I've seen him release multiple ones in one day.

I apologize for the delay and again apologize for taking so long to update the port.
Comment 8 Daniel Shafer 2020-07-27 06:21:56 UTC
This can be closed.

My review was approved and committed on July 15th
Review: review D25674
SVN Commit: ports r542267

--
news/nzbhydra2: Update to to 2.25.0

Changelog can be viewed at:
https://github.com/theotherp/nzbhydra2/blob/master/changelog.md

nzbhydra2wrapper.py has been replaced with the updated nzbhydra2wrapperPy3.py script
supporting Python 3.5 or higher and removing Python 2 support.

Submitted by: Daniel Shafer <daniel@shafer.cc> (maintainer)
Differential Revision: https://reviews.freebsd.org/D25674
--

After careful consideration.  I will be focusing on updating the port twice a month, except in situations where the update as been deemed broken by the developer, or if there is a pressing update that fixes a broken release already released.
Comment 9 Fernando Apesteguía freebsd_committer 2020-07-27 14:30:48 UTC
^Triage: Assign to committer who resolved the issue.